Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232205 - 'service {avahi-dnsconfd,avahi-daemon} status' returns 0 when the service is stopped
Summary: 'service {avahi-dnsconfd,avahi-daemon} status' returns 0 when the service is ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: avahi
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Bacovsky
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-14 10:33 UTC by Martin Bacovsky
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-14 13:40:25 UTC


Attachments (Terms of Use)

Description Martin Bacovsky 2007-03-14 10:33:07 UTC
+++ This bug was initially created as a clone of Bug #232161 +++

Actual results:
# ./avahi-dnsconfd status ; echo $?
Avahi DNS daemon is not running
0

# ./avahi-daemon status;echo $?
Avahi daemon is not running
0


Expected results:
# service avahi-dnsconfd status ; echo $?
Avahi DNS daemon is not running
1

# ./avahi-daemon status;echo $?
Avahi daemon is not running
1



Additional info:

-- Additional comment from rmccabe@redhat.com on 2007-03-13 21:28 EST --
Created an attachment (id=150014)
patch for the avahi-daemon init script


-- Additional comment from rmccabe@redhat.com on 2007-03-13 21:29 EST --
Created an attachment (id=150015)
patch for the avahi-dnsconfd init script

Comment 1 Martin Bacovsky 2007-03-14 13:40:25 UTC
Fixed in rawhide, thanks for patch


Note You need to log in before you can comment on or make changes to this bug.